// attract.h
// Play Mechanix - Video Game System
// Copyright (c) 2010 Play Mechanix Inc. All Rights Reserved
//

#ifndef ATTRACT_H
#define ATTRACT_H

#include "game.h"

enum
{
	ATPAGE_TYPE_SCENE_VIEW,
	ATPAGE_TYPE_LOADADD_SCENE,
	ATPAGE_TYPE_MOVIE,
	ATPAGE_TYPE_COINPAGE,
	ATPAGE_TYPE_SITE_PREVIEW,
	ATPAGE_TYPE_HST,
	ATPAGE_TYPE_CREDITS,
	ATPAGE_TYPE_COPYRIGHT,
	ATPAGE_TYPE_EPILEPSY_WARNING,

};

int AtInit();

int AtReloadPages();

int AtProcStart(void *params);
void AtProcRun();
void AtProcKill(void *params);


#endif // ATTRACT_H

