
#ifndef CRAWLERBUG_STATEMACHINE_H
#define CRAWLERBUG_STATEMACHINE_H

enum CrawlerBugStateMachineStates
{
	SM_CRAWLERBUGSTATES_EXECUTE = SM_GAMESTATES_MAX,
	SM_CRAWLERBUGSTATES_GOTSHOT,
	SM_CRAWLERBUGSTATES_FREEZE,
	SM_CRAWLERBUGSTATES_ELECTRO,
	SM_CRAWLERBUGSTATES_MAX,
	NUM_SM_CRAWLERBUGSTATES = (SM_CRAWLERBUGSTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gCrawlerBugStateMachineStates[NUM_SM_CRAWLERBUGSTATES];
extern PSM_StateMachine gCrawlerBugStateMachine;

int SM_CrawlerBug_Execute( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_CrawlerBug_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_CrawlerBug_Freeze( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

int MakeCrawlerBugActor(Res* res, char* pbuf, Obj* overrideObj);

struct CrawlerBugData;

#endif


