// game_dialog.h
// Play Mechanix - Video Game System
// Copyright (c) 2010 Play Mechanix Inc. All Rights Reserved
//

#ifndef GAME_DIALOG_H
#define GAME_DIALOG_H

#include "game.h"

enum GameDialogStateMachineStates
{
	SM_GAMEDIALOG_LOAD = SM_GAMESTATES_MAX,
	SM_GAMEDIALOG_STATES_MAX,
	NUM_SM_GAMEDIALOG_STATES = (SM_GAMEDIALOG_STATES_MAX - SM_GAMESTATES_MAX),
};
extern int gGameDialogPlayMenuVO; // vo sound calls in menus. 

extern PSM_State gGameDialogStateMachineStates[NUM_SM_GAMEDIALOG_STATES];
extern PSM_StateMachine gGameDialogStateMachine;

void GameDialog_ShowNewDialog(char* string, uns32 show_time);

int SM_GameDialog_Load( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );

int32 MenuVOPlay(char* soundname, uns32 channel, float volume, int loop, int priority);


#endif // GAME_DIALOG_H

