#ifndef GAME_GUN_ELECTRO_H
#define GAME_GUN_ELECTRO_H


#include "game.h"


#define GUN_ELECTRO_NUMPARTS	5


void GunElectroSetConfig();

void GunElectro_Create();
void GunElectro_Destroy();

int GunElectro_On( int pnum );
int GunElectro_Off( int pnum );
int GunElectro_Update( int pnum );
int GunElectro_Shoot( int input, uns32 state, io_input_analog *ai, io_input_digital *trigger, void *data );
void GunElectro_BeamSet( int pnum, float* pt1, float* pt2, ObjDispRes* laserOdr, ObjVel* modelOv, ObjVel* pincherOv  );
ObjGroup* GunElectro_GetObjGroup();

int GunElectroGetPickupAmmo();
int GunElectroGetCurAmmo( int pnum );

void GunElectroKickBack(GunMuzzleData* gmd);

uns32 GunElectro_StartRumble();

#endif