
#ifndef JEEP_STATEMACHINE_H
#define JEEP_STATEMACHINE_H



enum JeepStateMachineStates
{
	SM_JEEPSTATES_SPLINE_DRIVE = SM_GAMESTATES_MAX,

	SM_JEEPSTATES_MAX,
	NUM_SM_JEEPSTATES = (SM_JEEPSTATES_MAX - SM_GAMESTATES_MAX),
};

typedef struct JeepDriveParams
{
	ResDataKan* rdk;
	ResDataKanKey* keys;
	float time;
} JeepDriveParams;



extern PSM_State gJeepStateMachineStates[NUM_SM_JEEPSTATES];
extern PSM_StateMachine gJeepStateMachine;


int SM_Jeep_SplineDrive( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );



int JeepDrive_Init(ObjVel* objVel, ObjVelController* velCtrl, char* splineName, int bSnapToStart);
int JeepDrive_Update(ObjVel* objVel, float deltaTime);
int JeepDrive_Free(ObjVelController* velCtrl);




#endif


