// progress map


#ifndef PROGRESS_MAP_H
#define PROGRESS_MAP_H


#include "game.h"


//////////////////////////////////////////////////////////////////////////
// external interface
//////////////////////////////////////////////////////////////////////////

void ProgressMap_SetLevel( char* lvl );
void ProgressMap_SetLevelNum( int num );
void ProgressMap_SetSection( int section, int midGame );
int ProgressMap_GetLevelNum();
int ProgressMap_GetSection();
wchar_t* ProgressMap_GetSectionClearedName();

void ProgressMap_Create(N2* lnk, int midGame);
void ProgressMap_Update();
// different update function for progress map on the loading screen
void ProgressMap_Update_LoadScreen();
int ProgressMap_IsDone();
int ProgressMap_IsActive();

#endif
