#ifndef PTRDON_GRP_STATEMACHINE_H
#define PTRDON_GRP_STATEMACHINE_H


enum PtrdonGrpStateMachineStates
{
	SM_PTRDONGRPSTATES_INIT = SM_ENEMYSTATES_MAX,
	SM_PTRDONGRPSTATES_WAIT_UNTIL_DONE,

	SM_PTRDONGRPSTATES_MAX,
	NUM_SM_PTRDONGRPSTATES = (SM_PTRDONGRPSTATES_MAX - SM_ENEMYSTATES_MAX + NUM_SM_ENEMYSTATES),
};


extern PSM_State gPtrdonGrpStateMachineStates[NUM_SM_PTRDONGRPSTATES];
extern PSM_StateMachine gPtrdonGrpStateMachine;


int SM_PtrdonGrp_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_PtrdonGrp_WaitUntilDone( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );


#endif


