// dino tracker projectile


#ifndef TRACKER_STATEMACHINE_H
#define TRACKER_STATEMACHINE_H


enum TrackerStateMachineStates
{
	SM_TRACKER_INIT = SM_GAMESTATES_MAX,
	SM_TRACKER_UPDATE,
	SM_TRACKER_KILL,

	SM_TRACKERSTATES_MAX,
	NUM_SM_TRACKERSTATES = (SM_TRACKERSTATES_MAX - SM_GAMESTATES_MAX),
};


extern PSM_State gTrackerStateMachineStates[NUM_SM_TRACKERSTATES];
extern PSM_StateMachine gTrackerStateMachine;


int SM_Tracker_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Tracker_Update( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Tracker_Kill( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );


#endif


