#ifndef WASP_STATEMACHINE_H
#define WASP_STATEMACHINE_H


enum WaspStateMachineStates
{
	SM_WASPSTATES_INIT = SM_ENEMYSTATES_MAX,
	SM_WASPSTATES_SHOT,
	SM_WASPSTATES_FREEZE,
	SM_WASPSTATES_ELECTRO,
	SM_WASPSTATES_WAIT_UNTIL_DONE,

	SM_WASPSTATES_MAX,
	NUM_SM_WASPSTATES = (SM_WASPSTATES_MAX - SM_ENEMYSTATES_MAX + NUM_SM_ENEMYSTATES),
};


extern PSM_State gWaspStateMachineStates[NUM_SM_WASPSTATES];
extern PSM_StateMachine gWaspStateMachine;


int SM_Wasp_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Wasp_Shot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Wasp_Freeze( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Wasp_WaitUntilDone( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );


#endif


