#ifndef OVR_CWRAPPER_H
#define OVR_CWRAPPER_H

#ifdef SYS_BB
	#define ENABLE_OCULUSVR	0
#else
	#define ENABLE_OCULUSVR	0
#endif

#ifdef __cplusplus
extern "C" {
#endif

void OVR_Init();
void OVR_Shutdown();

void OVR_GetResolution(int* width, int* height);
void OVR_GetProjParams(float* yfov, float* aspect, float* offset);
float OVR_GetIPDistance();
void OVR_GetOrientation(float * quat);
void OVR_GetSConfigParams(int screen, float* LensCenter, float* ScreenCenter, float* Scale, float* ScaleIn, float* HmdWarpParam, float* ChromAbParam, float* view, float* texm);
void OVR_ResetOrientation();


#ifdef __cplusplus
}
#endif

#endif //OVR_CWRAPPER_H