#ifndef DRAW_H
#define DRAW_H
// draw.h
// Copyright 2005 Play Mechanix Inc. All Rights Reserved
//
// JFL 25 Feb 05

#include "g5.h"

///////////////////////////////////////////////////////////////////////////////
// SYSTEM DEPENDENT

//-----------------------------------------------------------------------------
// SYS_GL
#if SYS_GL





#endif // SYS_GL
//-----------------------------------------------------------------------------

///////////////////////////////////////////////////////////////////////////////
// SYSTEM INDEPENDENT

// extern routines

// these mimic the old GL direct draw commands
EXTERN_C void DrawArray_Begin(uns32 type);
EXTERN_C void DrawArray_Vertex2i( int x, int y );
EXTERN_C void DrawArray_Vertex2f( float x, float y );
EXTERN_C void DrawArray_Vertex3f( float x, float y, float z );
EXTERN_C void DrawArray_Vertex3fv( float *xyz );
EXTERN_C void DrawArray_TexCoord2f( float u, float v );
EXTERN_C void DrawArray_Color3f( float r, float g, float b );
EXTERN_C void DrawArray_Color4f( float r, float g, float b, float a );
EXTERN_C void DrawArray_End();


extern void DrawLEDNumber( float x, float y, float z, int num );
extern void DrawLEDFloat( float x, float y, float z, float num);
// extern vars and mem


#endif // ndef DRAW_H
