// pickup.h
// Play Mechanix - Video Game System
// Copyright (c) 2008 Play Mechanix Inc. All Rights Reserved
//
// init routintes and statemachines for programmable statemachine engine 
#ifndef PICKUP_H
#define PICKUP_H


#include "g5.h"


//////////////////////////////////////////////////////////////////////////
// external pickups interface
//////////////////////////////////////////////////////////////////////////

void Pickup_CreatePickup( ObjDispRes* odr, SM_Destruct_Params* dparams, Res* instance_res );
void Pickup_FlagPickedUp( ObjDispRes* odr );
void Pickup_CopyAttachments( ObjDispRes* odr );
void Pickup_StartTriggeredKAN( SM_DestructSM_Params* dparams );
uns32 Pickup_CreateHiddenPickup( Res* instance_res, Res* destruct_res, char* pickup_obj );
void Pickup_ActivateHiddenPickup( uns32 pickup_oid );
void Pickup_GetBadgeColor( ObjDispRes* odr, float* out_rgb );


#endif // PICKUP_H
