// -------------------------------------------------------------------
// tool2_anisfx.h
//
// Play Mechanix - Video Game System
// Copyright (c) 2004 Play Mechanix Inc. All Rights Reserved
#ifndef NO_TOOL

#ifndef _TOOL2_ANISFX_H_
#define _TOOL2_ANISFX_H_

// -------------------------------------------------------------------

void t2cb_anisfx_edit_create(void *ptr, void *ptr2);
void t2cb_anisfx_edit_save(void *ptr, void *ptr2);
void t2cb_anisfx_edit_load(void *ptr, void *ptr2);
void t2cb_anisfx_edit_anim_select(void *ptr, void *ptr2);
void t2cb_anisfx_edit_anim_set(void);
void t2cb_anisfx_edit_update(void *ptr, void *ptr2);

void t2cb_anisfx_edit_miniwin_create(void *ptr, void *ptr2);
void t2cb_anisfx_edit_miniwin_play(void *ptr, void *ptr2);
void t2cb_anisfx_edit_miniwin_delete(void *ptr, void *ptr2);
void t2cb_anisfx_edit_miniwin_volume(void *ptr, void *ptr2);
void t2cb_anisfx_edit_miniwin_volume_done(void *ptr, void *ptr2);

void t2cb_anisfx_edit_addsfx(void);
void t2cb_anisfx_edit_addsfx_done(char *name, void *ptr);

void t2cb_anisfx_edit_addfxg(void);
void t2cb_anisfx_edit_addfxg_done(char *name, void *ptr);

void t2cb_anisfx_edit_joint_select(void *ptr);
void t2cb_anisfx_edit_joint_select_done(char *name, void *ptr);

void t2cb_anisfx_object_set(void *p);

void tool2_anisfx_playsfx(float start, float end);

void tool2_anisfx_util_eventwin_populate(void *ptr);
void tool2_anisfx_util_nodeobj_create(T2_DATA_ANISFX_NODE_TYPE *node, char *name);

// -------------------------------------------------------------------

enum {
	T2_ANISFX_TYPE_SFX = 0,
	T2_ANISFX_TYPE_FXG,
	T2_ANISFX_TYPE_NUM,
};

// -------------------------------------------------------------------

#endif

// EOF
#endif // #ifndef NO_TOOL

