#ifndef TRIGFUNCCORE_H
#define TRIGFUNCCORE_H


typedef struct TriggerEventData_ObjSignal
{
	uns32 oid;
	uns32 signal;
} TriggerEventData_ObjSignal;


typedef struct TriggerEventData_StartSeq
{
	char seq_name[64];
} TriggerEventData_StartSeq;


typedef struct TriggerEventData_RunProg
{
	char prog_name[64];
} TriggerEventData_RunProg;


typedef struct TriggerEventData_SetSplineSpeed
{
	uns32 oid;
	float speed;
} TriggerEventData_SetSplineSpeed;


typedef struct TriggerEventData_OID
{
	uns32 oid;
} TriggerEventData_OID;

typedef struct TriggerEventData_AddRes
{
	char resname[64];
} TriggerEventData_AddRes;

/*
int TriggerEvent_ObjSignal( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_ObjSignal( char *trigger_name, ObjSeqRes *osr, int signal, int repeat );
int TriggerEvent_Delete_ObjSignal( char *trigger_name, ObjSeqRes *osr, int signal );

int TriggerEvent_StartSeq( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_StartSeq( char *trigger_name, char *seqname, int repeat );
int TriggerEvent_Delete_StartSeq( char *trigger_name, char *seqname  );
*/

int TriggerEvent_ObjDoEventAction( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_ObjDoEventAction( char *trigger_name, ObjExeContext *oec, int repeat );
int TriggerEvent_Delete_ObjDoEventAction( char *trigger_name, ObjExeContext *oec );

int TriggerEvent_RunProg( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_RunProg( char *trigger_name, char *progname, int repeat );
int TriggerEvent_Delete_RunProg( char *trigger_name, char *progname );


int TriggerEvent_SetSplineSpeed( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_SetSplineSpeed( char *trigger_name, ObjKeyAnim *okan, float speed );
int TriggerEvent_Delete_SetSplineSpeed( char *trigger_name, ObjKeyAnim *okan, float speed );


int TriggerEvent_KillObj( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_KillObj( char *trigger_name, uns32 oid );
int TriggerEvent_Delete_KillObj( char *trigger_name, uns32 oid );

int TriggerEvent_AddRes( Trigger *t, TriggerEvent *te );
int TriggerEvent_Create_AddRes( char *trigger_name, char *res, char *group );
int TriggerEvent_Delete_AddRes( char *trigger_name, char *res, char *group );



#endif

