
#ifndef COMPY_STATEMACHINE_H
#define COMPY_STATEMACHINE_H

enum CompyStateMachineStates
{
	SM_COMPYSTATES_EXECUTE = SM_GAMESTATES_MAX,
	SM_COMPYSTATES_GOTSHOT,
	SM_COMPYSTATES_FREEZE,
	SM_COMPYSTATES_ELECTRO,
	SM_COMPYSTATES_MAX,
	NUM_SM_COMPYSTATES = (SM_COMPYSTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gCompyStateMachineStates[NUM_SM_COMPYSTATES];
extern PSM_StateMachine gCompyStateMachine;

int SM_Compy_Execute( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_Compy_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_Compy_Freeze( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

#endif


