#ifndef GAME_DIAG_H_
#define GAME_DIAG_H_


#include <g5/g5.h>


EXTERN_C int GameDiagInit(void);


int MenuCreateGunClickSSTestMenu(menu_t *menu, menu_instance_t *inst, menu_details_t menuDetails);
void GunClickSSTestMenuOnFocusCB(menu_t *menu);
void GunClickSSTestMenuLeaveFocusCB(menu_t *menu);
void GunClickSSTestMenuUpdateCB(menu_t *menu);

int MenuCreateGunClickDSTestMenu(menu_t *menu, menu_instance_t *inst, menu_details_t menuDetails);
void GunClickDSTestMenuOnFocusCB(menu_t *menu);
void GunClickDSTestMenuLeaveFocusCB(menu_t *menu);
void GunClickDSTestMenuUpdateCB(menu_t *menu);

int MenuCreateCompressorPurgeTestMenu(menu_t *menu, menu_instance_t *inst, menu_details_t menuDetails);
void CompressorPurgeTestMenuOnFocusCB(menu_t *menu);
void CompressorPurgeTestMenuLeaveFocusCB(menu_t *menu);
void CompressorPurgeTestMenuUpdateCB(menu_t *menu);

int MenuCreateMotionSelfTestMenu(menu_t *menu, menu_instance_t *inst, menu_details_t menuDetails);
void MotionSelfTestMenuOnFocusCB(menu_t *menu);
void MotionSelfTestMenuLeaveFocusCB(menu_t *menu);
void MotionSelfTestMenuUpdateCB(menu_t *menu);

int MenuCreateMotionCalibrateMenu(menu_t *menu, menu_instance_t *inst, menu_details_t menuDetails);
void MotionCalibrateMenuOnFocusCB(menu_t *menu);
void MotionCalibrateMenuLeaveFocusCB(menu_t *menu);
void MotionCalibrateMenuUpdateCB(menu_t *menu);


EXTERN_C menu_type_t MenuType_DiagGunClickSSTest;
EXTERN_C menu_type_t MenuType_DiagGunClickDSTest;
EXTERN_C menu_type_t MenuType_DiagCompressorPurgeTest;
EXTERN_C menu_type_t MenuType_ScrollingMotionTest;
EXTERN_C menu_type_t MenuType_MotionSelfTest;
EXTERN_C menu_type_t MenuType_MotionCalibrate;
EXTERN_C menu_t DiagMenuGunClickSSTest;
EXTERN_C menu_t DiagMenuGunClickDSTest;
EXTERN_C menu_t DiagMenuCompressorPurgeTest;
EXTERN_C menu_t DiagMenuMotionTests;
EXTERN_C menu_t DiagMenuMotionSelfTest;
EXTERN_C menu_t DiagMenuMotionCalibrate;


EXTERN_C DIAGTEST_DECL (DiagMenuMotionHeight_Low		);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionHeight_Mid		);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionHeight_High		);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionSoft_Forward	);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionSoft_Back		);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionSoft_Left		);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionSoft_Right		);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionCircle			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionJeep			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionChopper			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionInflateAll			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionDeflateAll			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionInflate0			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionDeflate0			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionInflate1			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionDeflate1			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionInflate2			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionDeflate2			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionInflate3			);
EXTERN_C DIAGTEST_DECL (DiagMenuMotionDeflate3			);


EXTERN_C int DiagMenuGunClickDSInstall();

#define MAX_SERIALNUM_LEN 7
EXTERN_C menu_type_t MenuType_DiagEnterSerial;
EXTERN_C menu_t DiagEnterSerial;
EXTERN_C void textCallback_DiagEnterSerial_VALUE( wchar_t* input, wchar_t* output, int outSize, TextParams* tp );

EXTERN_C int GameUseDualSolenoidSwitchTest();
EXTERN_C void GameSwitchTestGunFF( core_input_enum input );

#endif