#ifndef GAME_GUN_BEAM_H
#define GAME_GUN_BEAM_H


#include "game.h"


void GunBeamInit();

int GunBeamUpdate(int pnum);
int GunBeamShoot( int input, uns32 state, io_input_analog *ai, io_input_digital *trigger, void *data );


void GunCreateBeams();
void GunDestroyBeams();


int GunBeamOn(int pnum);
int GunBeamOff(int pnum);

void GunBeamSet(ObjDispRes* odr, float beamScale, float xOffset, uns32 pnum);


#endif