#ifndef GAME_GUN_FREEZE_H
#define GAME_GUN_FREEZE_H


#include "game.h"


#define GUN_FREEZERAY_NUMPARTS	2


// external interface
void GunFreezeRay_Create();
void GunFreezeRay_Destroy();

int GunFreezeRay_On( int pnum );
int GunFreezeRay_Off( int pnum );
int GunFreezeRay_Update( int pnum );
int GunFreezeRay_Shoot( int input, uns32 state, io_input_analog *ai, io_input_digital *trigger, void *data );
int GunFreezeRay_Auto( int input, uns32 state, io_input_analog *ai, io_input_digital *trigger, void *data );
void GunFreezeRay_BeamSet( ObjDispRes* model_odr, int pnum, float* pt1, float* pt2, ObjDispRes* laser_odr );
ObjGroup* GunFreezeRay_GetObjGroup();

int GunFreezeRayGetPickupAmmo();
int GunFreezeRayGetCurAmmo( int pnum );

uns32 GunFreezeRay_StartRumble();

void GunFreezeRayKickBack(GunMuzzleData* gmd);

#endif