// game_snd.h
// Play Mechanix - Video Game System
// Copyright (c) 2010 Play Mechanix Inc. All Rights Reserved

#ifndef GAME_SND_H
#define GAME_SND_H

// Sound channels, uns32 for combinations

#define SNDCH_TUNE1		SND_CH27
#define SNDCH_TUNE2		SND_CH26

#define SNDCH_ANN			SND_CH25

#define SNDCH_AMB_LOOP	SND_CH21|SND_CH22|SND_CH23|SND_CH24

#define SNDCH_FXGRP     SND_CH0|SND_CH1|SND_CH2|SND_CH3|SND_CH4|SND_CH5|SND_CH6|SND_CH7

#define SNDCH_OPEN	0x001FFF00

#define	GAME_TUNE_VOL 40.0f
#define GAME_ANN_VOL 90.0f


#endif // GAME_SND_H

