
#ifndef LEVEL_SELECT2_H
#define LEVEL_SELECT2_H

enum LevelSelect2MachineStates
{
	SM_LEVEL_SELECT2_RUN = SM_ENEMYSTATES_MAX,
	SM_LEVEL_SELECT2_BNT_FLASH,
	SM_LEVEL_SELECT2_MAX,
	NUM_SM_LEVEL_SELECT2_STATES = (SM_LEVEL_SELECT2_MAX - SM_ENEMYSTATES_MAX + NUM_SM_ENEMYSTATES),
};

extern PSM_State gLevelSelect2StateMachineStates[NUM_SM_LEVEL_SELECT2_STATES];
extern PSM_StateMachine gLevelSelect2StateMachine;

int LevelSelect2_GetSelectedLevel();
char* LevelSelect2_GetSelectedLevelTrigger();
void LevelSelect2_MakeDino( char* dino, Res* tmpl_res );
void LevelSelect2_PickLevel(SM_LevelSelect2Run_Params* params, int level, int act);

int SM_LevelSelect2_Run( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_LevelSelect2_BntFlash( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

#endif


