// pteranodon statemachine

#ifndef PTRDON_STATEMACHINE_H
#define PTRDON_STATEMACHINE_H


enum PtrdonStateMachineStates
{
	SM_PTRDONSTATES_INIT = SM_ENEMYSTATES_MAX,
	SM_PTRDONSTATES_SHOT,
	SM_PTRDONSTATES_FREEZE,
	SM_PTRDONSTATES_ELECTRO,
	SM_PTRDONSTATES_WAIT_UNTIL_DONE,

	SM_PTRDONSTATES_MAX,
	NUM_SM_PTRDONSTATES = (SM_PTRDONSTATES_MAX - SM_ENEMYSTATES_MAX + NUM_SM_ENEMYSTATES),
};


extern PSM_State gPtrdonStateMachineStates[NUM_SM_PTRDONSTATES];
extern PSM_StateMachine gPtrdonStateMachine;


int SM_Ptrdon_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Ptrdon_Shot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Ptrdon_Freeze( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Ptrdon_WaitUntilDone( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );


#endif


