
#ifndef RAPTOR_GGG_STATEMACHINE_H
#define RAPTOR_GGG_STATEMACHINE_H

enum RaptorGGGStateMachineStates
{
	SM_RAPTORGGGSTATES_GOTSHOT = SM_GAMESTATES_MAX,
	SM_RAPTORGGGSTATES_SCRN_ATT_PTS,
	SM_RAPTORGGGSTATES_SPAWN_PT_ACTIVATE,
	SM_RAPTORGGGSTATES_MAX,
	NUM_SM_RAPTORGGGSTATES = (SM_RAPTORGGGSTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gRaptorGGGStateMachineStates[NUM_SM_RAPTORGGGSTATES];
extern PSM_StateMachine gRaptorGGGStateMachine;

void GRptr_Reset();
int RaptorGGG_SpawnPtCreate( void* void_obj_func );
int SM_RaptorGGG_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_RaptorGGG_ScreenAttPts( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_RaptorGGG_SpawnPtActivate( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

#endif


