
#ifndef WRKR_FIGHT_H
#define WRKR_FIGHT_H

enum WrkrFightEnemyStateMachineStates
{
	SM_WRKRFIGHTENEMY_GOTSHOT = SM_GAMESTATES_MAX,
	SM_WRKRFIGHTENEMY_GOTFROZEN,
	SM_WRKRFIGHTENEMY_GOTELECTRO,
	NUM_SM_WRKRFIGHTENEMY = (SM_CRAWLERBUGSTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gWrkrFightEnemyStateMachineStates[NUM_SM_WRKRFIGHTENEMY];
extern PSM_StateMachine gWrkrFightEnemyStateMachine;

int SM_WrkrFightEnemy_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_WrkrFightEnemy_GotFrozen( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_WrkrFightEnemy_GotElectro( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_WrkrFightEnemy_Damaged( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time, int type );

void WrkrFightEnemy_Damaged(void* data, ObjColAct* cola, int type);
int MakeWrkrFight(Res* res, char* pbuf, Obj* overrideObj);

struct WrkrFightData;

#endif


