#if !defined(_WIN32)

#ifndef NET_LINUX_H_
#define NET_LINUX_H_


// Linux-specific network stuff


#include "g5.h"
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>


#define NET_DOMAIN_INET		AF_INET
#define NET_DOMAIN_INET6	AF_INET6

#define NET_UDP_ADDR_ANY	htonl(INADDR_ANY)

#define SOCKET_ERROR		(-1)
#define NETERR_SOCKERROR	(-1)


typedef int SocketHandle;
typedef struct sockaddr SocketAddr;
typedef struct sockaddr_in SocketAddrIn;

typedef socklen_t SocklenType;


#endif

#endif