#ifndef RENDER_LOOP_H
#define RENDER_LOOP_H


// render_loop.h
// Copyright 1998-2011 Play Mechanix Inc. All Rights Reserved

#include "g5.h"

int RenderLoop(uns32 flags);

// fading
typedef enum FadeState
{
	FADE_NONE,
	FADE_OUT,
	FADE_IN,
} FadeState;


void FadeOut_Func( float blend_time );
void FadeIn_Func( float blend_time );
int FadeOutDone();
void FadeUpdate();
FadeState FadeGetState();
float FadeGetPct();

#define FadeOut(blend_time) \
	do \
	{\
		FadeOut_Func(blend_time); \
	} while(0)

#define FadeIn(blend_time) \
	do \
	{\
		FadeIn_Func(blend_time); \
	} while(0)



#endif

