#ifndef RENDER_SHADMAPS_H
#define RENDER_SHADMAPS_H


// render_shadmaps.h
// Copyright 1998-2011 Play Mechanix Inc. All Rights Reserved

#include "g5.h"

#define MAX_NUM_SHADMAP_SPLITS 3


void SetCameraObjShadowCamStable( int shadnum, RenderLayer *layer );
void SetCameraObjShadowCamOptimal( int shadnum, RenderLayer *layer );
void CalcShadCamSplits( RenderLayer *layer, float fLambda, float fFar);

extern float gShadMapSplits[MAX_NUM_SHADMAP_SPLITS][2]; // startz , depth
extern float gShadMapTexSections[MAX_NUM_SHADMAP_SPLITS][4];


#endif

