#ifndef WND_H
#define WND_H
// wnd.h
// Copyright 2004 Play Mechanix Inc. All Rights Reserved
//

// SYSTEM INDEPENDENT

typedef struct {
	void *screen;
	uns8 ready;
	uns8 quit;
	uns8 fullScreen;
	int w,h;
} WndRec;

extern int WndOpen(uns w, uns h, uns fullscreen, char *title);
extern void WndClose(void);


extern int WndInit(void);
extern void WndFinal(void);
extern int WndReset(uns reset);
extern int WndLoop(void);
// extern int WndInpLoop(void);
extern WndRec* WndCur(void);
// extern void WndSwap(WndRec *wnd);
extern void WndSwap();

extern void WndShowCursor(int on);

#endif // ndef WND_H
